require 'test_helper'

class EvidenciaZmluvsControllerTest < ActionController::TestCase
  setup do
    @evidencia_zmluv = evidencia_zmluvs(:one)
  end

  test "should get index" do
    get :index
    assert_response :success
    assert_not_nil assigns(:evidencia_zmluvs)
  end

  test "should get new" do
    get :new
    assert_response :success
  end

  test "should create evidencia_zmluv" do
    assert_difference('EvidenciaZmluv.count') do
      post :create, evidencia_zmluv: @evidencia_zmluv.attributes
    end

    assert_redirected_to evidencia_zmluv_path(assigns(:evidencia_zmluv))
  end

  test "should show evidencia_zmluv" do
    get :show, id: @evidencia_zmluv
    assert_response :success
  end

  test "should get edit" do
    get :edit, id: @evidencia_zmluv
    assert_response :success
  end

  test "should update evidencia_zmluv" do
    put :update, id: @evidencia_zmluv, evidencia_zmluv: @evidencia_zmluv.attributes
    assert_redirected_to evidencia_zmluv_path(assigns(:evidencia_zmluv))
  end

  test "should destroy evidencia_zmluv" do
    assert_difference('EvidenciaZmluv.count', -1) do
      delete :destroy, id: @evidencia_zmluv
    end

    assert_redirected_to evidencia_zmluvs_path
  end
end
